> ## Documentation Index
> Fetch the complete documentation index at: https://docs.telemetree.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Enterprise Premium Timeseries Distribution

> **Enterprise API**

**Description:** Retrieves the premium/non-premium users distribution based on the specified handle for the last 60 days.

**Parameters:**
- `handle`: The handle of the application (**ensure it does not include @**)

**Header**
- `x-api-key`: Your API Key (Dashboard->Settings)

**Returns:**
- `ApplicationPremiumTimeseriesResponse`: The response containing the premium/non-premium users distribution. It contains the following fields:
    - `data`: The list of premium/non-premium users distribution with the following fields:
        - `date`: The date of the distribution.
        - `premium_users`: The number of premium users.
        - `non_premium_users`: The number of non-premium users.
    - `handle`: The handle of the application.
    - `status_code`: The status code of the response.
    - `message`: The message of the response.



## OpenAPI

````yaml https://ebn.telemetree.io/public-api/openapi.json get /enterprise/{handle}/premium-timeseries
openapi: 3.1.0
info:
  title: Telemetree API
  description: Telemetree Public API endpoints.
  termsOfService: https://docs.telemetree.io/essentials/terms-of-service
  contact:
    name: Chris
    url: https://t.me/telemetree_referral
    email: chris@telemetree.io
  version: 1.0.0
servers:
  - url: https://ebn.telemetree.io/public-api
security: []
paths:
  /enterprise/{handle}/premium-timeseries:
    get:
      tags:
        - Enterprise API
      summary: Enterprise Premium Timeseries Distribution
      description: >-
        **Enterprise API**


        **Description:** Retrieves the premium/non-premium users distribution
        based on the specified handle for the last 60 days.


        **Parameters:**

        - `handle`: The handle of the application (**ensure it does not include
        @**)


        **Header**

        - `x-api-key`: Your API Key (Dashboard->Settings)


        **Returns:**

        - `ApplicationPremiumTimeseriesResponse`: The response containing the
        premium/non-premium users distribution. It contains the following
        fields:
            - `data`: The list of premium/non-premium users distribution with the following fields:
                - `date`: The date of the distribution.
                - `premium_users`: The number of premium users.
                - `non_premium_users`: The number of non-premium users.
            - `handle`: The handle of the application.
            - `status_code`: The status code of the response.
            - `message`: The message of the response.
      operationId: >-
        enterprise_premium_timeseries_distribution_enterprise__handle__premium_timeseries_get
      parameters:
        - name: handle
          in: path
          required: true
          schema:
            type: string
            description: Handle of the application
            title: Handle
          description: Handle of the application
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApplicationPremiumTimeseriesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - api_key: []
components:
  schemas:
    ApplicationPremiumTimeseriesResponse:
      properties:
        handle:
          type: string
          title: Handle
        status_code:
          type: integer
          title: Status Code
          default: 200
        message:
          type: string
          title: Message
          default: Success
        data:
          items:
            $ref: '#/components/schemas/ApplicationPremiumTimeseries'
          type: array
          title: Data
      type: object
      required:
        - handle
        - data
      title: ApplicationPremiumTimeseriesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ApplicationPremiumTimeseries:
      properties:
        date:
          type: string
          format: date-time
          title: Date
        premium_users:
          type: integer
          title: Premium Users
          default: 0
        non_premium_users:
          type: integer
          title: Non Premium Users
          default: 0
      type: object
      required:
        - date
      title: ApplicationPremiumTimeseries
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    api_key:
      type: apiKey
      description: Your API Key (Dashboard->Settings)
      in: header
      name: x-api-key

````